Subject: Help on DLL
From: "S. Krishnaprasad" <[email-masked]>
To: "Mumit Khan" <[email-masked]>
Cc: "cygwin" <[email-masked]>
Date: Fri, 26 Feb 1999 14:41:05 +0530

Hi Mumit,

I have tried all possible methods to create a DLL using gmp
but it doesnt seem to work.

I downloaded the gmp.dll from your ftp site and tried to use
that but if I create a Windows (Win32 ) application and
try to link it with th gmp.dll it gives an error saying

The instruction at "0x77f6cc99" referenced memory at "0x00000010". The
memory
could not be "written"

Click on OK to terminate the application
Click on CANCEL to debug the application.

My system is a PII 350 with Windows NT workstation SP3 and
Visual Studio 6.0 (98).

I am using cygwin b20.1

I compile using

gcc -c -DBUILDING_DLL=1 -g *.c

To create the dll I use
dllwrap --export-all --output-def test.def --implib libtest.a --driver-name
gcc -o test.dll *.o -L. -lgmp

It creates the DLL but in the program at the point of access it fails.

Could you help me with this problem.

Thanks in anticipation

There is some problem  with my cygwin mailing list email id. it is bouncing
all mails back.
So if you could kindly mail the reply to me it would be good.

S. Krishnaprasad
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]